local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____gridEntitiesSpecific = require("functions.gridEntitiesSpecific")
local getSpikes = ____gridEntitiesSpecific.getSpikes
local ____shouldFire = require("shouldFire")
local shouldFireSpikes = ____shouldFire.shouldFireSpikes
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostSpikesRender = __TS__Class()
local PostSpikesRender = ____exports.PostSpikesRender
PostSpikesRender.name = "PostSpikesRender"
__TS__ClassExtends(PostSpikesRender, CustomCallback)
function PostSpikesRender.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireSpikes
    self.postRender = function()
        for ____, spikes in ipairs(getSpikes(nil)) do
            self:fire(spikes)
        end
    end
    self.callbacksUsed = {{ModCallback.POST_RENDER, self.postRender}}
end
return ____exports
